Eclipse Platform Release 3.7

## org.eclipse.swt.opengl
Class GLData

    java.lang.Object
      org.eclipse.swt.opengl.GLData

    public class GLData

extends Object

The GLData class is a device-independent description of the pixel format attributes of a GL drawable.

Since:
  3.2
See Also:
  `GLCanvas`, OpenGL snippets, Sample code and further information

Field Summary
`int` `accumAlphaSize` The size in bits of the accumulation buffer's alpha channel.
`int` `accumBlueSize` The size in bits of the accumulation buffer's blue channel.
`int` `accumGreenSize` The size in bits of the accumulation buffer's green channel.
`int` `accumRedSize` The size in bits of the accumulation buffer's red channel.
`int` `alphaSize` The size in bits of the color buffer's alpha channel.
`int` `blueSize` The size in bits of the color buffer's blue channel.
`int` `depthSize` The size in bits of the depth buffer.
`boolean` `doubleBuffer` Specifies a double-buffered surface.
`int` `greenSize` The size in bits of the color buffer's green channel.
`int` `redSize` The size in bits of the color buffer's red channel.
`int` `sampleBuffers` The number of multisample buffers used by this context.
`int` `samples` The number of samples accepted in the multisample buffer.
`GLCanvas` `shareContext` Another GLCanvas whose texture namespace and display lists should be shared.
`int` `stencilSize` The desired number of stencil bitplanes.
`boolean` `stereo` Specifies a stereo surface.

Constructor Summary
`GLData()`

Method Summary
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### doubleBuffer

    public boolean doubleBuffer

  Specifies a double-buffered surface. During context creation, only double-buffered formats are considered when set to true.

### stereo

    public boolean stereo

  Specifies a stereo surface. During context creation, only stereo formats are considered when set to true.

### redSize

    public int redSize

  The size in bits of the color buffer's red channel. During context creation, this specifies the minimum required red bits.

### greenSize

    public int greenSize

  The size in bits of the color buffer's green channel. During context creation, this specifies the minimum required green bits.

### blueSize

    public int blueSize

  The size in bits of the color buffer's blue channel. During context creation, this specifies the minimum required blue bits.

### alphaSize

    public int alphaSize

  The size in bits of the color buffer's alpha channel. During context creation, this specifies the minimum required alpha bits.

### depthSize

    public int depthSize

  The size in bits of the depth buffer. During context creation, the smallest depth buffer of at least the specified value is preferred, or zero for no depth buffer.

### stencilSize

    public int stencilSize

  The desired number of stencil bitplanes. During context creation, the smallest stencil buffer of at least the specified value is preferred, or zero for no stencil buffer.

### accumRedSize

    public int accumRedSize

  The size in bits of the accumulation buffer's red channel. During context creation, this specifies the minimum required red bits.

### accumGreenSize

    public int accumGreenSize

  The size in bits of the accumulation buffer's green channel. During context creation, this specifies the minimum required green bits.

### accumBlueSize

    public int accumBlueSize

  The size in bits of the accumulation buffer's blue channel. During context creation, this specifies the minimum required blue bits.

### accumAlphaSize

    public int accumAlphaSize

  The size in bits of the accumulation buffer's alpha channel. During context creation, this specifies the minimum required alpha bits.

### sampleBuffers

    public int sampleBuffers

  The number of multisample buffers used by this context. During context creation, this specifies the minimum number of multisample buffers requested.

### samples

    public int samples

  The number of samples accepted in the multisample buffer. During creation, pixel formats with the smallest number of samples that meets or exceeds the specified minimum number are preferred.

### shareContext

    public GLCanvas shareContext

  Another GLCanvas whose texture namespace and display lists should be shared.

  Since:
    3.5

Constructor Detail

### GLData

    public GLData()

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the data

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.